### Function

# Gio SocketConnection factory_register_type

since: 2.22

#### Declaration

    void
    g_socket_connection_factory_register_type (
      GType g_type,
      GSocketFamily family,
      GSocketType type,
      gint protocol
    )

#### Description

Looks up the `GType` to be used when creating socket connections on sockets with the specified `family`, `type` and `protocol`.

If no type is registered, the `GSocketConnection` base type is returned.

Available since: 2.22

#### Parameters

`g_type`

  Type: `GType`

  A `GType`, inheriting from `G_TYPE_SOCKET_CONNECTION`.

`family`

  Type: `GSocketFamily`

  A `GSocketFamily`.

`type`

  Type: `GSocketType`

  A `GSocketType`.

`protocol`

  Type: `gint`

  A protocol id.